
package de.ivu.elect.presentation.dokumente.table;

import de.ivu.elect.business.datei.entity.DateiConstants;
import de.ivu.elect.business.dokumente.entity.DokumentArchiveUploadResultEntry;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.table.AbstractColumnEntry;

public class DokumentArchiveUploadResultEntryZipEntryFileNameColumn extends AbstractColumnEntry<DokumentArchiveUploadResultEntry> {

  private static final long serialVersionUID = 1L;

  public DokumentArchiveUploadResultEntryZipEntryFileNameColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(DateiConstants.MESSAGE_KEY_DATEINAME_EINZAHL);
  }

  @Override
  public Object getValue(DokumentArchiveUploadResultEntry dokumentArchiveUploadResultEntry) {
    return dokumentArchiveUploadResultEntry.getZipEntryFileName();
  }
}
